using System.ComponentModel;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 物料替代，已取消!!!
    /// </summary>
    public class MTRL_PRIORITY
    {
        [DisplayName("BOM编号")]
        public string BOM_ID { get; set; }=string.Empty;
        [DisplayName("成品编码")]
        public string PROD_ID { get; set; } = string.Empty;
        [DisplayName("行号")]
        public int SEQ { get; set; }
        [DisplayName("替代料编码")]
        public string MTRL_ID { get; set; } = string.Empty;
        [DisplayName("优先级")]
        public int PRIORITY { get; set; } = 1;
        [DisplayName("用完禁止标识")]
        public string NULLSTOP { get; set; } = "N";
        [DisplayName("被替代料编码")]
        public string MAIN_ID { get; set; } = string.Empty;
        [DisplayName("禁用标识")]
        public string DISABLE { get; set; } = "N";
        public string MTRL_VER { get; set; }
    }
}
